<?xml version="1.0" encoding="utf-8"?>
<Grid
        xmlns="www.team-mediaportal.com/2008/mpf/directx"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:collections="clr-namespace:MediaPortal.UI.Presentation.DataObjects;assembly=MediaPortal.UI"
        Margin="0,0,0,-50">
  <Grid.Resources>
    <Model x:Key="CurrentWeatherModel" Id="FC57FF5C-F72F-47E9-B973-338E31FF7FF1"/>
    <Model x:Key="LatestMediaModel" Id="19FBB179-51FB-4DB6-B19C-D5C765E9B870"/>
  </Grid.Resources>
  <Grid.RowDefinitions>
    <RowDefinition Height="Auto"/>
    <RowDefinition Height="*"/>
  </Grid.RowDefinitions>
  <Grid.ColumnDefinitions>
    <ColumnDefinition Width="250"/>
    <ColumnDefinition Width="320"/>
    <ColumnDefinition Width="200"/>
    <ColumnDefinition Width="250"/>
    <ColumnDefinition Width="200"/>
    <ColumnDefinition Width="*"/>
  </Grid.ColumnDefinitions>

  <Grid Grid.Row="0" Grid.RowSpan="2" Grid.Column="0" DataContext="{Binding Source={StaticResource LatestMediaModel}}">
    <Grid.RowDefinitions>
      <RowDefinition Height="30"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
      <ColumnDefinition Width="*"/>
    </Grid.ColumnDefinitions>
    <Image Grid.Row="0" Source="shadow_home.png" VerticalAlignment="Bottom" Stretch="Fill" Height="8" Margin="0,-10,0,5"/>
    <Label Grid.Row="0" Content="movies" Margin="0,-15,0,0" HorizontalAlignment="Center" Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}"/> 
    <ListView Grid.Row="1" x:Name="MasterList" ItemsSource="{Binding Movies}" Style="{ThemeResource MediaItemsListListViewStyle2}" HorizontalAlignment="Center" Margin="20,0,-60,0">
    </ListView>
  </Grid>

  <Grid Grid.Row="0" Grid.RowSpan="2" Grid.Column="1" DataContext="{Binding Source={StaticResource LatestMediaModel}}">
    <Grid.RowDefinitions>
      <RowDefinition Height="30"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
      <ColumnDefinition Width="*"/>
    </Grid.ColumnDefinitions>
    <Image Grid.Row="0" Source="shadow_home.png" VerticalAlignment="Bottom" Stretch="Fill" Height="8" Margin="0,-10,0,5"/>
    <Label Grid.Row="0" Content="audio" Margin="0,-15,0,0" HorizontalAlignment="Center" Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}"/>
    <ListView x:Name="MasterList" Grid.Row="1" ItemsSource="{Binding Audio}" Style="{ThemeResource MediaItemsListListViewStyle2}" HorizontalAlignment="Center" Margin="20,0,-100,0">
    </ListView>
  </Grid>

  <Grid Grid.Row="0" Grid.RowSpan="2" Grid.Column="2" Margin="0,0,0,-100" DataContext="{Binding Source={StaticResource LatestMediaModel}}">
    <Grid.RowDefinitions>
      <RowDefinition Height="30"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
      <ColumnDefinition Width="*"/>
    </Grid.ColumnDefinitions>
    <Image Grid.Row="0" Source="shadow_home.png" VerticalAlignment="Bottom" Stretch="Fill" Height="8" Margin="0,-10,0,5"/>
    <Label Grid.Row="0" Content="series" Margin="0,-15,0,0" HorizontalAlignment="Center" Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}"/>
    <ListView x:Name="MasterList" Grid.Row="1" ItemsSource="{Binding Series}" Style="{ThemeResource MediaItemsListListViewStyle2}" HorizontalAlignment="Center" Margin="20,0,-100,0">
    </ListView>
  </Grid>

  <Grid Grid.Row="0" Grid.RowSpan="2" Grid.Column="3" Margin="0,0,0,-100" DataContext="{Binding Source={StaticResource LatestMediaModel}}">
    <Grid.RowDefinitions>
      <RowDefinition Height="30"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
      <ColumnDefinition Width="*"/>
    </Grid.ColumnDefinitions>
    <Image Grid.Row="0" Source="shadow_home.png" VerticalAlignment="Bottom" Stretch="Fill" Height="8" Margin="0,-10,0,5"/>
    <Label Grid.Row="0" Content="images" Margin="0,-15,0,0" HorizontalAlignment="Center" Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}"/>
    <ListView x:Name="MasterList" Grid.Row="1" ItemsSource="{Binding Images}" Style="{ThemeResource MediaItemsListListViewStyle2}" HorizontalAlignment="Center" Margin="20,0,-60,0">
    </ListView>
  </Grid>

  <Grid Grid.Row="0" Grid.RowSpan="2" Grid.Column="4" Margin="0,0,0,-100" DataContext="{Binding Source={StaticResource LatestMediaModel}}">
    <Grid.RowDefinitions>
      <RowDefinition Height="30"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
      <ColumnDefinition Width="*"/>
    </Grid.ColumnDefinitions>
    <Image Grid.Row="0" Source="shadow_home.png" VerticalAlignment="Bottom" Stretch="Fill" Height="8" Margin="0,-10,0,5"/>
    <Label Grid.Row="0" Content="recordings" Margin="0,-15,0,0" HorizontalAlignment="Center" Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}"/>
    <ListView x:Name="MasterList" Grid.Row="1" ItemsSource="{Binding Recordings}" Style="{ThemeResource MediaItemsListListViewStyle2}" HorizontalAlignment="Center" Margin="10,0,-90,0">
    </ListView>
  </Grid>

  <Grid Grid.Row="0" Grid.Column="5">
    <Grid.RowDefinitions>
      <RowDefinition Height="30"/>
      <RowDefinition Height="180"/>
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
      <ColumnDefinition Width="*"/>
      <ColumnDefinition Width="*"/>
    </Grid.ColumnDefinitions>
    <Image Grid.Row="0" Grid.ColumnSpan="2" Source="shadow_home.png" VerticalAlignment="Bottom" Stretch="Fill" Height="8" Margin="0,-10,0,5"/>
    <Label Grid.Row="0" Grid.ColumnSpan="2" Content="weather" Margin="0,-15,0,0" HorizontalAlignment="Center" Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}"/>
    <Image  Grid.Row="1" Grid.Column="0" x:Name="WeatherBigIcon" Stretch="Uniform" Source="{Binding Source={StaticResource CurrentWeatherModel}, Path=CurrentLocation.Condition.BigIconProperty}"
     IsVisible="{Binding UseInHome}" HorizontalAlignment="Center" VerticalAlignment="Center" Margin="5"/>

    <StackPanel Grid.Row="1" Grid.Column="1" VerticalAlignment="Center"> 
      <Label  x:Name="Temp" Content="{Binding Source={StaticResource CurrentWeatherModel}, Path=CurrentLocation.Condition.Temperature}"
        Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}" IsVisible="{Binding UseInHome}"
        VerticalAlignment="Center" HorizontalAlignment="Center"/>
      <Label  x:Name="Place" Content="{Binding Source={StaticResource CurrentWeatherModel}, Path=CurrentLocation.Name}"
        Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}" IsVisible="{Binding UseInHome}"
        VerticalAlignment="Center" HorizontalAlignment="Center"/>
      <WrapPanel Orientation="Horizontal" HorizontalAlignment="Center">
        <Label Grid.Column="0" Content="[Weather.Humidity]" Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}"
               HorizontalAlignment="Right" Margin="0,0,3,0"/> 
        <Label Grid.Column="1" x:Name="Humidity" Content="{Binding Source={StaticResource CurrentWeatherModel}, Path=CurrentLocation.Condition.Humidity}"
        Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}" IsVisible="{Binding UseInHome}"
        VerticalAlignment="Center" HorizontalAlignment="Left" Margin="3,0,0,0"/>
      </WrapPanel>

      <Label  x:Name="Wind" Content="{Binding Source={StaticResource CurrentWeatherModel}, Path=CurrentLocation.Condition.Wind}"
        Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}" IsVisible="{Binding UseInHome}"
        VerticalAlignment="Center" HorizontalAlignment="Center" Margin="-10,0,-10,0"/>
    </StackPanel>
  </Grid>

  

  <Grid Grid.Row="2" Grid.Column="5" Margin="0,50,0,0" >
    <Grid.RowDefinitions>
      <RowDefinition Height="30"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
      <ColumnDefinition Width="*"/>
    </Grid.ColumnDefinitions>
    <Image Grid.Row="0" Source="shadow_home.png" VerticalAlignment="Bottom" Stretch="Fill" Height="8" Margin="0,-10,0,5"/>
    <Label Grid.Row="0" Content="news" Margin="0,-15,0,0" HorizontalAlignment="Center" Color="{ThemeResource TextColor}" FontSize="{ThemeResource SmallFontSize}"/>

  </Grid>

</Grid>